%define name	wordnet
%define Name	WordNet
%define version	3.0
%define major	%{version}
%define libname	%mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%mkrel 6
Summary:	A lexical database for the english language
Group:		Sciences/Other
License:	GPL
URL:		http://wordnet.princeton.edu
Source0:	http://wordnet.princeton.edu/%{version}/%{Name}-%{version}.tar.bz2
Patch0:		%{name}-2.1.libtool.patch
Patch1:		%{name}-3.0.fhs.patch
Requires:       %{libname} = %{version}
BuildRequires:	automake1.8
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	X11-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
WordNet is an online lexical reference system whose design is inspired by
current psycholinguistic theories of human lexical memory. English nouns,
verbs, adjectives and adverbs are organized into synonym sets, each
representing one underlying lexical concept. Different relations link the
synonym sets.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run %{name}.

%package -n %{libname}-devel
Summary:        Development header files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Libraries, include files and other resources you can use to develop.

%prep
%setup -q -n %{Name}-%{version}
%patch0 -p1
%patch1 -p1

%build
libtoolize
autoreconf
%configure2_5x
make

%install
rm -rf %{buildroot}
%makeinstall
chmod 644 %{buildroot}%{_libdir}/libWN.la

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog README doc/{html,ps,pdf}
%{_bindir}/*
%{_datadir}/%{Name}
%{_mandir}/*/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libWN-%{version}.so

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/libWN.so
%{_libdir}/libWN.a
%{_libdir}/libWN.la
%{_includedir}/*



%changelog
* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-6mdv2008.1
+ Revision: 179683
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 3.0-5mdv2008.0
+ Revision: 82071
- use autoreconf
- rebuild for new soname of tcl

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 3.0-4mdv2008.0
+ Revision: 36547
- rebuild with correct optflags

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version, rediff FHS patch
    - new version
    - import wordnet


* Fri Aug 11 2006 Laurent MONTEL <lmontel@mandriva.com> 2.1-5
- Rebuild

* Fri Mar 17 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.1-4mdk
- fix non sense

* Thu Mar 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.1-3mdk
- patch 2: fix build on x86_64

* Thu Jan 19 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-2mdk
- fix dictionary files location (#20720)

* Wed Jan 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-1mdk
- new version
- new libtool and fhs patches
- new URL

* Mon Jan 02 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0-7mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-6mdk
- %%mkrel

* Thu Jun 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-5mdk 
- spec cleanup
- drop release on requires
- fix libtool file perms

* Tue May 24 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0-4mdk
- add BuildRequires: automake1.8 tcl tk XFree86-devel

* Fri May 20 2005 Olivier Thauvin <nanardon@mandriva.org> 2.0-3mdk
- fix build on amd64 (aka libtoolize --force + fix -L X11 path)

* Thu Aug 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0-2mdk 
- fixed group
- stronger interdependency
- fixed major

* Wed Aug 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0-1mdk 
- first mdk package
